Index: GUIPictures.cs
===================================================================
--- GUIPictures.cs	(revision 27942)
+++ GUIPictures.cs	(working copy)
@@ -520,7 +520,6 @@
       GUITextureManager.CleanupThumbs();
       // LoadSettings();
       LoadFolderSettings(currentFolder);
-      ShowThumbPanel();
       LoadDirectory(currentFolder);
       if (selectedItemIndex >= 0)
       {
@@ -903,13 +902,6 @@
         facadeLayout.EnableScrollLabel = method == SortMethod.Name;
     }
 
-    private void ShowThumbPanel()
-    {
-      CurrentLayout = (Layout)mapSettings.ViewAs;
-      SwitchLayout();
-      UpdateButtonStates();
-    }
-
     /// <summary>
     /// Set the selected item of the facadeLayout
     /// </summary>
@@ -974,6 +966,8 @@
         {
           mapSettings = new MapSettings();
         }
+        CurrentSortAsc = mapSettings.SortAscending;
+        CurrentLayout = (Layout)mapSettings.ViewAs;
       }
       else
       {
@@ -984,8 +978,8 @@
           {
             mapSettings = new MapSettings();
           }
-          mapSettings.ViewAs = (int)share.DefaultLayout;
-          CurrentLayout = (Layout)mapSettings.ViewAs;
+          CurrentSortAsc = mapSettings.SortAscending;
+          CurrentLayout = (Layout)share.DefaultLayout;
         }
       }
       using (Profile.Settings xmlreader = new Profile.MPSettings())
@@ -996,8 +990,17 @@
           xmlreader.SetValue("pictures", "lastview", (int)disp);
         }
       }
-      CurrentSortAsc = mapSettings.SortAscending;
-      CurrentLayout = (Layout)mapSettings.ViewAs;
+
+      if (AllowLayout(CurrentLayout) == false)
+      {
+        SwitchToNexAllowedLayout((int)CurrentLayout + 1); //switch to next valid one
+      }
+      else
+      {
+        SwitchLayout();
+      }
+
+      UpdateButtonStates();
     }
 
     private void SaveFolderSettings(string folder)
@@ -1804,7 +1807,8 @@
       //set object count label
       GUIPropertyManager.SetProperty("#itemcount", Util.Utils.GetObjectCountLabel(totalItemCount));
 
-      ShowThumbPanel();
+      SwitchLayout();
+      UpdateButtonStates();
 
       GUIWaitCursor.Hide();
     }
